<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<%@ page import="org.wso2.carbon.registry.ui.common.UIConstants" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.properties.clients.PropertiesServiceClient" %>
<%@ page import="org.wso2.carbon.registry.ui.properties.beans.xsd.PropertiesBean" %>
<script type="text/javascript" src="../properties/js/properties.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_validation.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_common.js"></script>

<%
    PropertiesServiceClient client = new PropertiesServiceClient(config, session);
    PropertiesBean propertiesBean;
    try {
        propertiesBean = client.getProperties(request);
    } catch (Exception e) {
        response.setStatus(500);
        CarbonUIMessage uiMsg = new CarbonUIMessage(CarbonUIMessage.ERROR, e.getMessage(), e);
        session.setAttribute(CarbonUIMessage.ID, uiMsg);
%>
<jsp:include page="../admin/error.jsp"/>
<%
        return;
    }

%>
<fmt:bundle basename="org.wso2.carbon.registry.ui.properties.i18n.Resources">

    <div class="box1-head" style="height:auto;margin-top:10px;">
        <table cellspacing="0" cellpadding="0" border="0" style="width: 100%;">
            <tbody>
                <tr>
                    <td valign="top">
                        <h2 class="sub-headding-prop"><fmt:message key="properties"/></h2>
                    </td>
                    <td align="right" valign="top" class="expanIconCell">
                        <a onclick="showProperties()">
                            <img src="images/icon-expanded.gif" border="0" align="top"
                                 id="propertiesIconExpanded" style="display:none;" />
                            <img src="images/icon-minimized.gif" border="0" align="top"
                                 id="propertiesIconMinimized" />
                        </a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="box1-mid-fill" id="propertiesMinimized"></div>
    <div class="box1-mid" id="propertiesExpanded" style="display:none">
        <% if (propertiesBean.getLoggedIn() && propertiesBean.getPutAllowed() && !propertiesBean.getVersionView()) { %>
        <div class="icon-link-ouside">
            <a class="icon-link" style="background-image:url(../admin/images/add.gif);"
               onclick="javascript:showHideCommon('propertiesAddDiv');if($('propertiesAddDiv').style.display!='none')$('propName').focus();">
                <fmt:message key="add.new.property"/>
            </a>
        </div>
        <% } %>
        <% Boolean sysPropsAttr = (Boolean) request.getSession().getAttribute(UIConstants.SHOW_SYSPROPS_ATTR);
            boolean sysPropsEnabled = sysPropsAttr != null && sysPropsAttr; %>


        <% if (propertiesBean.getVersionView() && propertiesBean.getPutAllowed()) { %>
        <span class="helpText"><fmt:message
                key="go.to.the.current.version.to.add.or.edit.properties"/>.</span>
        <% } %>
        <div id="propertiesAddDiv" style="display:none;">
            <form onsubmit="return setProperty();">

                <input type="hidden" id="propRPath"
                       value="<%=propertiesBean.getPathWithVersion()%>"/>
                <table cellpadding="0" cellspacing="0" border="0" class="styledLeft noBorders">
                    <thead>
                        <tr>
                            <th colspan="2"><fmt:message key="add.new.property"/></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td id="propertySizer"><fmt:message key="name"/><font color="red">*</font></td>
                            <td><input type="text" id="propName"/></td>
                        </tr>
                        <tr>
                            <td><fmt:message key="value"/><font color="red">*</font></td>
                            <td><input type="text" id="propValue"/></td>
                        </tr>
                        <tr>
                            <td colspan="2" class="buttonRow">
                                <input type="button" class="button"
                                       value="<fmt:message key="add"/>"
                                       onclick="setProperty();"/>
                                <input
                                        style="margin-left:5px;" type="button" class="button"
                                        value="<fmt:message key="cancel"/>"
                                        onclick="showHideCommon('propertiesAddDiv');"/>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>
        </div>


        <div id="resourceProperties">
            <%@ include file="../properties/properties-ajaxprocessor.jsp" %>
        </div>
    </div>
</fmt:bundle>